## antic 0.2.4+ds

=== debian/changelog ===
antic (0.2.4+ds-2) unstable; urgency=medium

  * Source upload.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-configure-version_script.patch, harden.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 19 Feb 2022 10:29:34 +0000

antic (0.2.4+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #990638)

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 13 Feb 2022 17:03:36 +0000
