=== debian/control ===
Source: antic
Section: math
Priority: optional
Maintainer: Debian Math Team <team+math@tracker.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 libflint-dev
Standards-Version: 4.6.0
Homepage: https://github.com/wbhart/antic/
Vcs-Git: https://salsa.debian.org/math-team/antic.git
Vcs-Browser: https://salsa.debian.org/math-team/antic

Package: libantic0
Provides: libantic
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libantic
Multi-Arch: same
Description: Algebraic Number Theory In C - libs
 ANTIC is an Algebraic Number Theory library In C.
 .
 This package provides the shared libraries required to run programs compiled
 against the ANTIC library. To compile your own programs you also need to
 install the libantic-dev package.

Package: libantic-dev
Section: libdevel
Architecture: any
Depends:
 libflint-dev,
 libantic0 (= ${binary:Version}),
 ${misc:Depends}
Conflicts: libantic-dev
Multi-Arch: same
Description: Algebraic Number Theory In C - libdev
 ANTIC is an Algebraic Number Theory library In C.
 .
 This package contains static libraries and symbolic links that developers
 using the ANTIC library will need.
