=== debian/watch ===
version=4
opts=repack,repacksuffix=+ds,compression=xz,dversionmangle=s/\+ds// \
https://github.com/wbhart/antic/tags .*/v?(\d\S+)\.tar\.gz
