## antic 0.2.5%2Bds

=== debian/changelog ===
antic (0.2.5+ds-1build1) kinetic; urgency=medium

  * No-change rebuild against libflint17

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 16 Jul 2022 09:36:11 +0000

antic (0.2.5+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Don't use setup.py to clean the package.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 24 Jun 2022 22:22:03 +0200
