## antic 0.2.5+ds

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  libflint-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/wbhart/antic/
 Vcs-Git: https://salsa.debian.org/math-team/antic.git
 Vcs-Browser: https://salsa.debian.org/math-team/antic
