=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 %:
 	dh $@
 
+override_dh_auto_clean:
+	# don't try to use setup.py
+
 override_dh_auto_configure:
 	./configure \
 		--prefix=/usr \
