=== debian/tests/control ===
Tests: make-check-dev
Depends: libantic-dev, build-essential
